API Platform Base Path: https://api.enterprise.apigee.com/v1/o/{org_name}
API Resource Path: /oauth2/authorizationcodes
Lists all the Authorization Codes in an Organization
Verb: GET
Auth: Basic AuthSample Request:
$ curl -u myname:mypass https://api.enterprise.apigee.com/v1/o/{org_name}/oauth2/authorizationcodes
Sample Response:
{
"authorizationCode" : [ {
"attributes" : [ {
"name" : "region",
"value" : "south"
} ],
"client_id" : "kjvzAT2kR03jcZGQDod6VtMt8Lj0Ce6c",
"code" : "m9PEEI6I",
"createdAt" : 1343043442176,
"createdBy" : "Admin",
"expiresAt" : 1343045242176,
"issuedAt" : 1343043442176,
"lastModifiedAt" : 1343043442176,
"lastModifiedBy" : "Admin",
"scope" : "",
"status" : "active"
},
{...}
]
}
Response Payload Elements:
| Name | Description |
|---|---|
| attributes | Name/value pairs used to extend the default auth code profile |
| client_id | The consumer key of the app |
| code | The value of the authorization code |
| createdAt | Unix time when the auth code was generated |
| createdBy | User name of the Apigee user who created the auth code |
| expiresAt | Unix time when the auth code will expire |
| issuedAt | Unix time when the auth code was issued |
| lastModifiedAt | Unix time when the auth code was last modified |
| lastModifiedBy | User name of the Apigee user who last modified the auth code- |
| scope | Comma separated list of OAuth scopes |
| status | By default 'active', changes to 'expired' when expiry time has passed. |
Failure 500 with proper error message
{
"code" : "keymanagement.service.invalid_request-authorization_code_invalid",
"message" : "Unable to fetch authorization code details",
"contexts" : [ ]
}
Error Codes:
1. keymanagement.service.authorization_codes_fetch_failed
Last updated:
about 1 month ago